// DFFileStudioXML.h: Schnittstelle fr die Klasse CDFFileStudioXML.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DFFILESTUDIOXML_H__B22C49B0_3194_44E2_99AA_60284020F0D3__INCLUDED_)
#define AFX_DFFILESTUDIOXML_H__B22C49B0_3194_44E2_99AA_60284020F0D3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Itemklasse einbinden
#include "../DFItem/DFItems.h"
// Fehlercodes einbinden
#include "../Common/AEErrorDef.h"

class CDFFileStudioXML : public CDFFileStudio  
{
public:
	CDFFileStudioXML();
	virtual ~CDFFileStudioXML();

public:
	int Modify(char *data, int *piError);

protected:
	void Reset();
	int Extract(char *elementPathParam, TiXmlElement *element, CModifyData &modifyData);

protected:
	TiXmlDocument m_doc;
	char m_errorText[255];
};

#endif // !defined(AFX_DFFILESTUDIOXML_H__B22C49B0_3194_44E2_99AA_60284020F0D3__INCLUDED_)
